Page MenuHomePhabricator

Flow: Deleted content when viewed by non-admins leads to fatal permissionexception message
Open, HighPublic

Description

If a non-admin visits a deleted topic
they receive this error message:

Insufficient permission to access the content.
Return to Main Page.
[6138f9cc] 2014-09-06 19:39:49: Fatal exception of type Flow\Exception\PermissionException

There should be a more informative message for readers, so that they can understand what happened. The standard is a message like this: https://en.wikipedia.org/w/index.php?title=Talk:Gabriel_de_Saint_Nicholas&redirect=no


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=62176

Details

Reference
bz70497

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:54 AM
bzimport set Reference to bz70497.
bzimport added a subscriber: Unknown Object (MLST).
Quiddity created this task.Sep 6 2014, 8:03 PM
  • Bug 70598 has been marked as a duplicate of this bug. ***

Copying comment from 70598:

(Marius Hoch wrote)

Trace:
2014-09-09 11:08:15 mw1052 mediawikiwiki: [e4cd902c]
/w/index.php?title=Topic:S1no6gacx8ayjfuo&workflow=s1no6gacx8ayjfuo
Exception from line 438 of
/usr/local/apache/common-local/php-1.24wmf20/extensions/Flow/includes/Block/
Topic.php: Not Allowed
#0
/usr/local/apache/common-local/php-1.24wmf20/extensions/Flow/includes/View.
php(129): Flow\Block\TopicBlock->renderAPI(Object(Flow\Templating), Array)
#1
/usr/local/apache/common-local/php-1.24wmf20/extensions/Flow/includes/
Actions/Action.php(88): Flow\View->show(Object(Flow\WorkflowLoader), 'view')
#2
/usr/local/apache/common-local/php-1.24wmf20/extensions/Flow/includes/
Actions/Action.php(35): Flow\Actions\FlowAction->showForAction('view')
#3 /usr/local/apache/common-local/php-1.24wmf20/includes/MediaWiki.php(414):
Flow\Actions\FlowAction->show()
#4 /usr/local/apache/common-local/php-1.24wmf20/includes/MediaWiki.php(282):
MediaWiki->performAction(Object(Article), Object(Title))
#5 /usr/local/apache/common-local/php-1.24wmf20/includes/MediaWiki.php(584):
MediaWiki->performRequest()
#6 /usr/local/apache/common-local/php-1.24wmf20/includes/MediaWiki.php(435):
MediaWiki->main()
#7 /usr/local/apache/common-local/php-1.24wmf20/index.php(46):
MediaWiki->run()
#8 /usr/local/apache/common-local/w/index.php(3):
require('/usr/local/apac...')

Copying comment from 70692:

(Daniel Zahn wrote)

on a https://en.wikipedia.org/wiki/Topic:S23kgr0jal6zroqo
i get this:
---<snip>---
Error
Insufficient permission to access the content.
Return to Main Page.
[d9c5180c] 2014-09-10 23:06:33: Fatal exception of type
Flow\Exception\PermissionException
---</snip>---
it's not about the "insufficient permission" part, that is legit,
but the fatal exception that comes with it.

  • Bug 70692 has been marked as a duplicate of this bug. ***
  • Bug 71244 has been marked as a duplicate of this bug. ***

I assume this is the same problem:
https://www.mediawiki.org/w/index.php?title=Topic:S2tc6rvtyh4qlwcs&workflow=s2tc6rvtyh4qlwcs
[95d66b59] 2014-09-26 20:15:15: Fatal exception of type Flow\Exception\PermissionException

Change 166574 had a related patch set uploaded by Matthias Mullie:
(bug 70497) Don't throw exception; show nicer error message for insufficient permissions

https://gerrit.wikimedia.org/r/166574

Change 166575 had a related patch set uploaded by Matthias Mullie:
(bug 70497) Show more descriptive error message for insufficient permissions

https://gerrit.wikimedia.org/r/166575

Change 166574 merged by jenkins-bot:
(bug 70497) Don't throw exception; show nicer error message for insufficient permissions

https://gerrit.wikimedia.org/r/166574

Change 166575 had a related patch set uploaded by Siebrand:
Show more descriptive error message for insufficient permissions

https://gerrit.wikimedia.org/r/166575

Change 166575 merged by jenkins-bot:
Show more descriptive error message for insufficient permissions

https://gerrit.wikimedia.org/r/166575

Quiddity removed a subscriber: Maryana.Dec 19 2014, 1:32 AM
He7d3r reopened this task as Open.Mar 31 2015, 11:09 AM

This is happening again:
https://www.mediawiki.org/w/index.php?title=Topic:Sdoatsbslsafx6lw&action=compare-post-revisions&topic_newRevision=sek25j6516xg0rv0

[5ec79ae0] 2015-03-31 11:07:18: Fatal exception of type "Flow\Exception\PermissionException"

EBernhardson triaged this task as High priority.Mar 31 2015, 5:47 PM
Restricted Application added a project: Growth-Team. · View Herald TranscriptJul 18 2018, 6:56 PM
SBisson moved this task from Inbox to Triaged but Future on the Growth-Team board.Jul 20 2018, 5:58 PM
Dzahn removed a subscriber: Dzahn.Jul 24 2018, 11:43 PM
Pppery updated the task description. (Show Details)May 23 2019, 9:12 PM
Pppery added a subscriber: Pppery.

<removing link to topic on enwiki; the flow extension has since been uninstalled>

Pppery removed a subscriber: Pppery.May 23 2019, 9:13 PM